@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,400;0,700;0,800;1,400&display=swap');

:root {
  --white: #fff;
  --gray: #ccc;
  --blue: #489df3;
  --red: #F0506E;
}

html {
  height: 100%;
}

body {
  display: flex;
  min-height: 100%;
  margin: 0;
  font-family: 'Open Sans', sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  background-color: var(--white);
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: transparent;
  overflow: auto;
  height: inherit;
}

body>div,
.root-panel {
  width: 100%;
  background: var(--white);
}

.fonts {
  font-family: 'Open Sans', sans-serif;
}

input::placeholder {
  color: #999 !important;
}

div#panel-header {
  background: var(--white);
  position: sticky;
  top: 0;
  z-index: 100 !important;
  border-bottom: 1px solid var(--gray);
  min-height: 70px;
  height: 70px;
  padding: 0 20px;
}

.service-table {
  opacity: 1;
  transition: 1s;
}

.service-table.hidden {
  visibility: hidden;
  opacity: 0;
}

.app-iterator-container .iterator-item-img {
  width: 100% !important;
  border-radius: 30px;
  filter: grayscale(0.8);
  transition: .3s ease-in-out;
}

.app-iterator-container .iterator-item-img:hover {
  filter: grayscale(0) drop-shadow(0px 0px 10px rgba(0, 0, 0, 0.2));
  border-radius: 15px;
}

.app-iterator-container .iterator-item {
  margin-bottom: 50px;
  min-width: 320px;
}

.service-menu-button {
  font-size: 18px !important;
  font-weight: 400 !important;
  border: none;
  border-bottom: 2px solid transparent;
  background: transparent;
  height: 70px;
  padding: 0 10px !important;
  margin: 0 !important;
  margin-right: 30px !important;
  transition: 0.3s ease-out 0s;
}

.service-menu-button.active,
.service-menu-button.uk-button-primary,
.service-menu-button:hover {
  color: var(--blue) !important;
  border: none !important;
  background: transparent;
  border-bottom: 2px solid var(--blue) !important;
}

.service-menu-button#button-logout:hover {
  color: var(--red) !important;
  border-bottom: 2px solid var(--red) !important;
}

.registry-list-button {
  justify-content: left !important;
  height: 100%;
  min-height: 40px;
  padding-left: 10px;
  margin: 0;
  text-align: left;
}

.registry-list-button::before {
  border: none;
}

.registry-list-item {
  min-height: 60px;
  align-content: center;
  padding-left: 20px;
}

.registry-list-item:hover,
.registry-list-item.active {
  background: var(--blue);
}

.registry-list-item .container {
  min-height: 60px;
  align-items: center;
  margin: 0 !important;
  padding: 0 !important;
}

.registry-list-item:hover .registry-list-button,
.registry-list-item.active .registry-list-button {
  color: var(--white) !important;
  border: none !important;
}

.registry-list-icon {
  border-radius: 5px;
  width: 45px !important;
}

#panel-modal {
  z-index: 101 !important;
}

.uk-modal-title {
  font-size: 1.5rem !important;
}

/*
  Notification box
*/
.uk-notification-top-center {
  max-width: 50%;
  background-color: rgba(255, 255, 255, 0.5);
}

.uk-notification-top-center .uk-notification-close {
  color: var(--white) !important;
}

.uk-notification-top-center .uk-notification-close:hover {
  color: var(--red) !important;
}

.uk-notification-top-center .uk-notification-message {
  padding: 20px 25px;
  color: var(--white) !important;
}

.uk-notification-top-center .uk-notification-message-primary {
  background-color: rgba(30, 135, 240, 0.8);
}

.uk-notification-top-center .uk-notification-message-success {
  background-color: rgba(17, 152, 46, 0.9);
}

.uk-notification-top-center .uk-notification-message-danger {
  background-color: rgba(208, 37, 37, 0.8);
}

.uk-notification-top-center .uk-notification-message-warning {
  background-color: rgba(208, 134, 0, 0.8);
}

.filter_group_buttons {
  margin: 30px 0 20px 0;
  align-content: center;
}

.filter_group_buttons button {
  margin: 0;
  max-width: 200px;
  transition: .3s ease-in-out;
}

.filter_group_buttons button:hover,
.filter_group_buttons button.selected {
  border-color: var(--blue);
}

.filter_group_buttons button:first-child {
  border-radius: 15px 0 0 15px;
}

.filter_group_buttons button:last-child {
  border-radius: 0 10px 15px 0;
}

::-webkit-scrollbar-button {
  width: 10px;
  height: 0px;
}

::-webkit-scrollbar-track {
  background-color: rgb(240, 244, 247);
}

::-webkit-scrollbar-thumb {
  -webkit-border-radius: 5px;
  border-radius: 5px;
  background-color: rgba(145, 194, 246, 0.2);
}

::-webkit-scrollbar-thumb:hover {
  background-color: #91C2F6;
}

::-webkit-resizer {
  width: 10px;
  height: 0px;
}

::-webkit-scrollbar {
  width: 10px;
}

html,
body {
  scrollbar-color: #91C2F6 rgb(240, 244, 247);
  scrollbar-width: thin;
}


.mobile_menu_buttons {
  display: none;
}

#close-panel-registry {
  display: none;
  position: absolute;
  right: 5px;
  width: 40px;
  height: 40px;
  top: 5px;
  border: none;
}

.app_container {
  position: relative;
  width: 100%;
  min-height: calc(100vh - 70px);
}

.app_left_panel {
  position: absolute;
  left: 0;
  top: 0;
  width: 300px;
  background: #fff;
  height: 100%;
  overflow: hidden;
}

.app_left_panel_content {
  width: 100%;
  height: calc(100% - 60px);
  overflow: auto;
}

.app_right_panel {
  position: absolute;
  width: calc(100% - 300px);
  height: auto;
  min-height: 100%;
  top: 0;
  left: 300px;
  border-left: 1px solid var(--gray);
  padding: 0 30px;
}


.service-group-item {
  min-height: 60px;
  align-content: center;
  padding-left: 20px;
  cursor: pointer;
  transition: 0.3s ease-out 0s;
}

.service-group-item .service-group-title {
  margin-left: 10px;
  transition: 0.3s ease-out 0s;
}

.service-group-item:hover,
.service-group-item.active {
  background: var(--blue);
}

.service-group-item:hover .service-group-title,
.service-group-item.active .service-group-title {
  color: #fff !important;
}

.service-group-img {
  border-radius: 5px;
}

.background-gradient {
  background: linear-gradient(to right, rgba(0, 0, 0, 0.02), #fff);
}

._lock {
  overflow: hidden;
}

.menu-container,
.menu__icon {
  display: none;
}

@media screen and (max-width:1100px) {
  .app_left_panel {
    top: 70px;
    position: fixed;
    width: 100% !important;
    max-width: 400px;
    z-index: 100 !important;
    background: #fff;
    opacity: 0;
    transition: 0.3s;
    transform: translate(-100%, 0px);
  }

  .app_left_panel.__open {
    opacity: 1;
    border-right: 1px solid var(--gray);
    transform: translate(0px, 0px);
  }

  .app_right_panel{
    margin: 0;
    width: 100%;
    left: 0;
    padding: 0;
    top: 50px;
  }

  .filter_group_buttons button {
    border-radius: 0px !important;
    width: 100% !important;
    max-width: 100%;
    padding: 10px !important;
    justify-content: left !important;
  }

  .filter_group_buttons button span {
    margin: 0 20px !important;
  }

  .filter_group_buttons {
    position: fixed;
    background: #fff;
    right: 0;
    top: 40px;
    max-width: 300px;
    width: 100% !important;
    height: 100%;
    padding: 20px 0px;
    align-content: start;
    align-items: start;
    border-left: 1px solid var(--gray);
    z-index: 100 !important;
    opacity: 0;
    transform: translate(100%, 0);
    transition: 0.3s;
  }

  .filter_group_buttons.__open {
    opacity: 1;
    transform: translate(0px, 0px);
  }

  #close-panel-registry {
    display: flex;
  }

  .mobile_menu_buttons {
    display: flex;
    position: absolute;
    width: 100%;
    justify-content: space-between;
  }

  #panel-nav,
  #panel-exit {
    display: none;
  }

  .menu__icon {
    display: inline-flex;
    position: relative;
    z-index: 5 !important;
    width: 30px;
    height: 20px;
    min-height: 0 !important;
    min-width: 0 !important;
    cursor: pointer;
    transition: 0.3s ease 0s;
  }

  .menu__icon:hover div,
  .menu__icon:hover::before,
  .menu__icon:hover::after {
    background-color: #489df3;
  }

  .menu__icon._active:hover::before,
  .menu__icon._active:hover::after {
    background-color: #ef3f39;
  }

  .menu__icon div,
  .menu__icon::before,
  .menu__icon::after {
    position: absolute;
    left: 0;
    min-height: 0 !important;
    min-width: 0 !important;
    height: 10%;
    width: 100%;
    transition: all 0.3s ease 0s;
    background-color: #4b5256;
    margin: 0;
    padding: 0;
  }

  .menu__icon::before,
  .menu__icon::after {
    content: "";
    display: block;
  }

  .menu__icon::before {
    top: 0;
  }

  .menu__icon::after {
    bottom: 0;
  }

  .menu__icon div {
    top: 50%;
    transform: scale(1) translate(0px, -50%);
  }

  .menu__icon._active div {
    transform: scale(0) translate(0px, -50%);
  }

  .menu__icon._active::before {
    top: 50%;
    transform: rotate(-45deg) translate(0px, -50%);
  }

  .menu__icon._active::after {
    bottom: 50%;
    transform: rotate(45deg) translate(0px, 50%);
  }

  .menu-container {
    display: flex;
    position: fixed;
    top: 70px;
    right: 0;
    width: 100%;
    min-width: 0px;
    height: calc(100% - 70px);
    justify-content: left;
    opacity: 0;
    transform: translate(100%, 0);
    transition: 0.4s ease-in-out;
    background: rgba(0, 0, 0, 0.1);
    z-index: 100 !important;
  }

  .menu-container._open {
    opacity: 1;
    transform: translate(0, 0);
  }

  .menu-content {
    position: absolute;
    max-width: 350px;
    min-width: 300px;
    height: 100%;
    top: 0px;
    right: 0;
    background: #fff;
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.3);
    display: flex;
    justify-content: right;
    align-content: space-between;
    width: 50%;
  }

  .menu-content>div {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-content: flex-end;
    align-items: flex-end;
  }

  .menu-button {
    width: 100%;
    margin: 0;
    border: none;
    justify-content: flex-start !important;
    padding: 10px 40px;
    font-size: 16px;
    transition: 0.3s ease 0s;
    height: 70px;
  }

  .menu-button span {
    margin-right: 20px !important;
  }

  .menu-button:hover {
    background: #489df3;
    color: #fff !important;
    border: none;
  }

}

@media screen and (max-width:700px) {
  .app-iterator-container .iterator-item-img {
    filter: grayscale(0.1);
  }
}
